/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import { describe, it, expect } from "vitest";
import { Certifications } from "../../src/config/Certifications";

describe("certification objects", () => {
  it("should have unique names", () => {
    expect.assertions(1);
    const set = new Set(
      Certifications.map((c) => {
        return c.name;
      }),
    );
    expect(set, "are not unique").toHaveLength(Certifications.length);
  });

  it("should have unique file names", () => {
    expect.assertions(1);
    const set = new Set(
      Certifications.map((c) => {
        return c.fileName;
      }),
    );
    expect(set, "are not unique").toHaveLength(Certifications.length);
  });
});
