/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

/**
 * List of certifications to render.
 */
export const Certifications: Array<{
  name:     string;
  fileName: string;
  issuer:   string;
  date:     Date;
}> = [
  {
    date:     new Date("April 17 2020"),
    fileName: "responsive-web-design.png",
    issuer:   "freeCodeCamp",
    name:     "Responsive Web Design",
  },
  {
    date:     new Date("April 24, 2020"),
    fileName: "javascript.png",
    issuer:   "freeCodeCamp",
    name:     "JavaScript Algorithms and Data Structures",
  },
  {
    date:     new Date("April 28, 2020"),
    fileName: "front-end-libs.png",
    issuer:   "freeCodeCamp",
    name:     "Front End Libraries",
  },
  {
    date:     new Date("May 19, 2020"),
    fileName: "infosec.png",
    issuer:   "freeCodeCamp",
    name:     "Information Security and Quality Assurance",
  },
  {
    date:     new Date("May 25, 2020"),
    fileName: "legacy-full-stack.png",
    issuer:   "freeCodeCamp",
    name:     "Full Stack Developer",
  },
  {
    date:     new Date("May 25, 2020"),
    fileName: "data-visualisation.png",
    issuer:   "freeCodeCamp",
    name:     "Data Visualisation",
  },
  {
    date:     new Date("May 8 2020"),
    fileName: "back-end-dev.png",
    issuer:   "freeCodeCamp",
    name:     "Back End Development and APIs",
  },
  {
    date:     new Date("July 3 2020"),
    fileName: "quality-assurance.png",
    issuer:   "freeCodeCamp",
    name:     "Quality Assurance",
  },
  {
    date:     new Date("August 14 2020"),
    fileName: "legacy-front-end.png",
    issuer:   "freeCodeCamp",
    name:     "Legacy Front End",
  },
  {
    date:     new Date("July 3, 2020"),
    fileName: "scientific-computing.png",
    issuer:   "freeCodeCamp",
    name:     "Scientific Computing with Python",
  },
  {
    date:     new Date("May 9 2024"),
    fileName: "mongo-nodejs.jpg",
    issuer:   "MongoDB",
    name:     "Node.js Developer",
  },
  {
    date:     new Date("May 9 2024"),
    fileName: "mongo-self-admin.jpg",
    issuer:   "MongoDB",
    name:     "Self-Managed Database Admin",
  },
  {
    date:     new Date("May 9 2024"),
    fileName: "mongo-data-model.jpg",
    issuer:   "MongoDB",
    name:     "Data Modelling",
  },
  {
    date:     new Date("May 9 2024"),
    fileName: "mongo-atlas-admin.jpg",
    issuer:   "MongoDB",
    name:     "Atlas Database Admin",
  },
  {
    date:     new Date("May 9 2024"),
    fileName: "ecommerce-retail.jpg",
    issuer:   "MongoDB",
    name:     "E-Commerce Modernisation and Personalisation",
  },
  {
    date:     new Date("November 12, 2024"),
    fileName: "c-sharp.png",
    issuer:   "freeCodeCamp",
    name:     "Foundational C# with Microsoft",
  },
];
