/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

/**
 * Navigation items to render on home page and
 * on main navbar.
 */
export const NavItems = [
  { href: "/about", text: "About Naomi" },
  { href: "/manual", text: "User Manual" },
  { href: "/work", text: "Employment History" },
  { href: "https://contact.nhcarrigan.com", text: "Contact Us" },
  { href: "/certs", text: "Certifications" },
  { href: "/reviews", text: "Reviews" },
  { href: "/games", text: "Game Screenshots" },
  { href: "/art", text: "Art of Naomi" },
  { href: "/manifesto", text: "Transfemme Manifesto" },
  { href: "/tech", text: "Technologies" },
  { href: "https://git.nhcarrigan.com", text: "Contribute to our Projects" },
  { href: "/koikatsu", text: "Koikatsu Scenes" },
  { href: "/ref", text: "Reference Sheet" },
  { href: "/projects", text: "Our Projects" },
  { href: "https://games.nhcarrigan.com", text: "Game Dev" },
  { href: "https://merch.nhcarrigan.link", text: "Merchandise" },
  { href: "https://docs.nhcarrigan.com", text: "Documentation" },
  { href: "https://forum.nhcarrigan.com", text: "Support" },
  { href: "/legacy", text: "Characters" },  
].sort((a, b) => {
  return a.text.localeCompare(b.text);
});
